Bug 459676 - GStreamer crippled on PPC
GStreamer crippled on PPC
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
9
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-20 22:01 EDT by Alex Markley
Modified: 2008-10-15 22:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 22:08:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 548711 None None None Never
GNOME Desktop 548720 None None None Never
GNOME Desktop 548724 None None None Never

  None (edit)
Description Alex Markley 2008-08-20 22:01:49 EDT
Description of problem:
The current GStreamer packages cannot play WAV files, play FLAC files, or interpret ID3v2 tags on the PPC platform. These problems do not exist in x86 builds.

This appears to be a packaging/build problem, since rebuilding current GStreamer sources fixes all of the problems. There's some suggestion, in discussions with the upstream developers, that the observed symptoms could be caused by compiling GStreamer against a buggy version of Glib2.

Version-Release number of selected component (if applicable):
[alex@localhost ~]$ rpm --query --all | grep gstreamer | sort
gstreamer-0.10.19-1.fc9.ppc
gstreamer-devel-0.10.19-1.fc9.ppc
gstreamer-ffmpeg-0.10.4-1.lvn9.ppc
gstreamer-plugins-bad-0.10.7-1.lvn9.ppc
gstreamer-plugins-bad-devel-0.10.7-1.lvn9.ppc
gstreamer-plugins-bad-extras-0.10.7-1.lvn9.ppc
gstreamer-plugins-base-0.10.19-2.fc9.ppc
gstreamer-plugins-base-devel-0.10.19-2.fc9.ppc
gstreamer-plugins-farsight-0.12.7-2.fc9.ppc
gstreamer-plugins-flumpegdemux-0.10.15-2.fc9.ppc
gstreamer-plugins-good-0.10.8-8.fc9.ppc
gstreamer-plugins-good-devel-0.10.8-8.fc9.ppc
gstreamer-plugins-schroedinger-1.0.3-2.fc9.ppc
gstreamer-plugins-ugly-0.10.8-1.lvn9.ppc
gstreamer-python-0.10.11-2.fc9.ppc
gstreamer-tools-0.10.19-1.fc9.ppc
totem-gstreamer-2.23.2-5.fc9.ppc
[alex@localhost ~]$

How reproducible:
Very

Steps to Reproduce:
1. Try to play a WAV or FLAC.
2. ...?
3. Madness!
  
Actual results:
We are not able to play a WAV or FLAC in Totem.

Expected results:
We should be able to play a WAV or FLAC in Totem.

Additional info:
http://bugzilla.gnome.org/show_bug.cgi?id=548724
http://bugzilla.gnome.org/show_bug.cgi?id=548720
http://bugzilla.gnome.org/show_bug.cgi?id=548711

Here's a snapshot of a session where I try to play a FLAC file using the current fedora packages, then I switch to GStreamer CVS HEAD and try again. The fedora packages fail with "Internal data stream error," but the CVS HEAD build succeeds.

[alex@localhost ~]$ gst-launch-0.10 -t playbin uri=file:///tmp/id3v2_test.flac
Setting pipeline to PAUSED ...

(gst-launch-0.10:30269): GStreamer-WARNING **: pad flacdec0:src returned caps which are not a real subset of its template caps
Pipeline is PREROLLING ...
FOUND TAG      : found by element "flacdec0".
     audio codec: FLAC
ERROR: from element /playbin0/decodebin0/flacdec0: Internal data stream error.
Additional debug info:
gstflacdec.c(1264): gst_flac_dec_loop (): /playbin0/decodebin0/flacdec0:
stream stopped, reason not-negotiated
ERROR: pipeline doesn't want to preroll.
Setting pipeline to NULL ...
FREEING pipeline ...
[alex@localhost ~]$ gst-head
[gst-head] [alex@localhost head]$ gst-launch-0.10 -t playbin uri=file:///tmp/id3v2_test.flac
Setting pipeline to PAUSED ...
Pipeline is PREROLLING ...
FOUND TAG      : found by element "flacdec0".
     audio codec: FLAC
Pipeline is PREROLLED ...
Setting pipeline to PLAYING ...
New clock: GstAudioSinkClock
Got EOS from element "playbin0".
Execution ended after 15105084000 ns.
Setting pipeline to PAUSED ...
Setting pipeline to READY ...
Setting pipeline to NULL ...
FREEING pipeline ...
[gst-head] [alex@localhost head]$ exit
exit
[alex@localhost ~]$
Comment 1 Alex Markley 2008-08-20 22:06:05 EDT
Btw, sorry if I broke a rule by submitting three bugs in one report. My investigation and testing strongly suggested that they are all intimately connected, and it seemed silly to have three related reports on the GNOME bugzilla, so I threw 'em all together here.
Comment 2 Fedora Update System 2008-09-01 10:57:13 EDT
gstreamer-0.10.20-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gstreamer-0.10.20-1.fc9
Comment 3 Alex Markley 2008-09-01 13:58:59 EDT
I fixed the problem on my machines by installing the new gstreamer-plugins-good packages from here: http://koji.fedoraproject.org/koji/buildinfo?buildID=59432
Comment 4 Fedora Update System 2008-09-10 02:38:40 EDT
gstreamer-0.10.20-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gstreamer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7495
Comment 5 Fedora Update System 2008-10-15 22:08:37 EDT
gstreamer-0.10.20-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.